# $Revision: 1.11 $, $Date: 2004/05/06 18:43:10 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filter
%define		pnam	Simple
Summary:	Filter::Simple Perl module - simplified source filtering
Summary(pl):	Modu Perla Filter::Simple - uproszczone filtrowanie
Name:		perl-Filter-Simple
Version:	0.79
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a3af8a9b9c3e743afc9b6ef925011b69
%if %{with tests}
BuildRequires:	perl-Filter
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Filter::Simple module provides a simplified interface to
Filter::Util::Call; one that is sufficient for most common cases.

%description -l pl
Modu Filter::Simple daje uproszczony interfejs do Filter::Util::Call,
wystarczajcy w wikszoci przypadkw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Filter
%{perl_vendorlib}/Filter/Simple.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Filter-Simple.spec,v $
Revision 1.11  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.9  2003/10/31 23:54:25  qboosh
- updated to 0.79, added tests

Revision 1.8  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:32:30  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 12:26:22  qboosh
- new
